// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	id "maunium.net/go/mautrix/id"
)

// FormSender is an autogenerated mock type for the FormSender type
type FormSender struct {
	mock.Mock
}

// SendMessage provides a mock function with given fields: _a0, _a1
func (_m *FormSender) SendMessage(_a0 id.RoomID, _a1 string) error {
	ret := _m.Called(_a0, _a1)

	var r0 error
	if rf, ok := ret.Get(0).(func(id.RoomID, string) error); ok {
		r0 = rf(_a0, _a1)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SendWebhook provides a mock function with given fields: _a0, _a1, _a2, _a3, _a4
func (_m *FormSender) SendWebhook(_a0 string, _a1 string, _a2 string, _a3 string, _a4 string) error {
	ret := _m.Called(_a0, _a1, _a2, _a3, _a4)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, string, string, string) error); ok {
		r0 = rf(_a0, _a1, _a2, _a3, _a4)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
